ICU 71.1 71.1

Public Member Functions
icu::number::impl::SymbolsWrapper Class Reference

`#include <numberformatter.h>`

Inheritance diagram for icu::number::impl::SymbolsWrapper:

## Public Member Functions
| SymbolsWrapper ()
| SymbolsWrapper (const SymbolsWrapper &other)
SymbolsWrapper & | operator= (const SymbolsWrapper &other)
| SymbolsWrapper (SymbolsWrapper &&src) U_NOEXCEPT
SymbolsWrapper & | operator= (SymbolsWrapper &&src) U_NOEXCEPT
| ~SymbolsWrapper ()
void | setTo (const DecimalFormatSymbols &dfs)
| The provided object is copied, but we do not adopt it. More...
void | setTo (const NumberingSystem *ns)
| Adopt the provided object. More...
bool | isDecimalFormatSymbols () const
| Whether the object is currently holding a DecimalFormatSymbols. More...
bool | isNumberingSystem () const
| Whether the object is currently holding a NumberingSystem. More...
const DecimalFormatSymbols * | getDecimalFormatSymbols () const
| Get the DecimalFormatSymbols pointer. More...
const NumberingSystem * | getNumberingSystem () const
| Get the NumberingSystem pointer. More...
UBool | copyErrorTo (UErrorCode &status) const

## Detailed Description

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1278 of file numberformatter.h.

## Constructor & Destructor Documentation

## ◆ SymbolsWrapper() [1/3]

icu::number::impl::SymbolsWrapper::SymbolsWrapper | ( |  | ) |
| inline

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1281 of file numberformatter.h.

## ◆ SymbolsWrapper() [2/3]

icu::number::impl::SymbolsWrapper::SymbolsWrapper | ( | const SymbolsWrapper & | other | ) |

Internal:
  Do not use.

This API is for internal use only.

## ◆ SymbolsWrapper() [3/3]

icu::number::impl::SymbolsWrapper::SymbolsWrapper | ( | SymbolsWrapper && | src | ) |

Internal:
  Do not use.

This API is for internal use only.

## ◆ ~SymbolsWrapper()

icu::number::impl::SymbolsWrapper::~SymbolsWrapper | ( |  | ) |

Internal:
  Do not use.

This API is for internal use only.

## Member Function Documentation

## ◆ copyErrorTo()

UBool icu::number::impl::SymbolsWrapper::copyErrorTo | ( | UErrorCode & | status | ) | const
| inline

Internal:
  Do not use.

This API is for internal use only.

Definition at line 1339 of file numberformatter.h.

References U_MEMORY_ALLOCATION_ERROR.

Referenced by icu::number::impl::MacroProps::copyErrorTo().

## ◆ getDecimalFormatSymbols()

const DecimalFormatSymbols* icu::number::impl::SymbolsWrapper::getDecimalFormatSymbols | ( |  | ) | const

Get the DecimalFormatSymbols pointer.

No ownership change.

Internal:
  Do not use. This API is for internal use only.

## ◆ getNumberingSystem()

const NumberingSystem* icu::number::impl::SymbolsWrapper::getNumberingSystem | ( |  | ) | const

Get the NumberingSystem pointer.

No ownership change.

Internal:
  Do not use. This API is for internal use only.

## ◆ isDecimalFormatSymbols()

bool icu::number::impl::SymbolsWrapper::isDecimalFormatSymbols | ( |  | ) | const

Whether the object is currently holding a DecimalFormatSymbols.

Internal:
  Do not use. This API is for internal use only.

## ◆ isNumberingSystem()

bool icu::number::impl::SymbolsWrapper::isNumberingSystem | ( |  | ) | const

Whether the object is currently holding a NumberingSystem.

Internal:
  Do not use. This API is for internal use only.

## ◆ operator=() [1/2]

SymbolsWrapper& icu::number::impl::SymbolsWrapper::operator= | ( | const SymbolsWrapper & | other | ) |

Internal:
  Do not use.

This API is for internal use only.

## ◆ operator=() [2/2]

SymbolsWrapper& icu::number::impl::SymbolsWrapper::operator= | ( | SymbolsWrapper && | src | ) |

Internal:
  Do not use.

This API is for internal use only.

## ◆ setTo() [1/2]

void icu::number::impl::SymbolsWrapper::setTo | ( | const DecimalFormatSymbols & | dfs | ) |

The provided object is copied, but we do not adopt it.

Internal:
  Do not use. This API is for internal use only.

## ◆ setTo() [2/2]

void icu::number::impl::SymbolsWrapper::setTo | ( | const NumberingSystem * | ns | ) |

Adopt the provided object.

Internal:
  Do not use. This API is for internal use only.

The documentation for this class was generated from the following file:

- numberformatter.h